Skip to content

List saved services

GET/api/v1/workspaces/{workspaceId}/services

Operation ID: services.list · Access: PAT with read scope and authorized workspace where applicable · Effect: read.

Read the saved services workflow before this operation.

Name In Required Type / allowed values
workspaceId path Yes string
q query No string
includeArchived query No true, false
limit query No integer
offset query No integer or null
category query No integer
HTTP Content Schema
200 application/json ServiceList
400 application/json ApiError
401 application/json ApiError
403 application/json ApiError
404 application/json ApiError
500 application/json ApiError

Use error.code, error.issues, and requestId for JSON errors. Error and recovery guide.

Set the connection variables from the quickstart. Set each path variable to an authorized identifier or an allowed parameter value from the table above.

Terminal window
curl --fail-with-body --request GET \
"$RIPSCLOUD_BASE_URL/api/v1/workspaces/$WORKSPACE_ID/services" \
--header "Authorization: Bearer $RIPSCLOUD_TOKEN" \
--header 'Accept: application/json'